<?php

class JSObject extends JSBase
{

  protected function getOpenBracket()
  {
    return "{";
  }

  protected function getCloseBracket()
  {
    return "}";
  }
  
  protected function formatItem($index, $key, $value)
  {
    return "{$key}: {$this->formatValue($value)}";
  }
}